/**
 * customizer.js
 *
 * Theme Customizer enhancements for a better user experience.
 *
 * Contains handlers to make Theme Customizer preview reload changes asynchronously.
 */

( function( $ ) {
	"use strict";

	// Site description.
	wp.customize( 'blogdescription', function( value ) {
		value.bind( function( to ) {
			$( '.site-description' ).text( to );
		} );
	} );

	// Header text color
	wp.customize( 'header_textcolor', function( value ) {
		value.bind( function( to ) {
			$( '.site-description' ).css( 'color', to );
		} );
	} );

	// Header background color
	wp.customize( 'header_bgcolor', function( value ) {
		value.bind( function( to ) {
			$( '.site-header' ).css( 'background', to );
		} );
	} );

	// Navigation
	wp.customize( 'navigation_bgcolor', function( value ) {
		value.bind( function( to ) {
			$( '.site-navigation, #primary-menu ul' ).css( 'background', to );
		} );
	} );
	wp.customize( 'navigation_color', function( value ) {
		value.bind( function( to ) {
			$( '#primary-menu li a' ).css( 'color', to );
		} );
	} );

	// Content width
	wp.customize( 'content_width', function( value ) {
		value.bind( function( to ) {
			console.log(to);
			$( '.boxed .wrapper, .boxed .site-footer.fixed' ).css( 'max-width', to + 'px' );
		} );
	} );

	// Background color
	wp.customize( 'background_color', function( value ) {
		value.bind( function( to ) {
			$( 'body:not(.boxed) .site-content' ).css( 'background-color', to );
		} );
	} );

	// Body color.
	wp.customize( 'body_color', function( value ) {
		value.bind( function( to ) {
			$( 'body' ).css( 'color', to );
		} );
	} );

	// Body Link color.
	wp.customize( 'link_color', function( value ) {
		value.bind( function( to ) {
			$( '.site-content a' ).css( 'color', to );
		} );
	} );

	// Footer color
	wp.customize( 'footer_bgcolor', function( value ) {
		value.bind( function( to ) {
			$( '.site-footer' ).css( 'background', to );
		} );
	} );
	wp.customize( 'footer_color', function( value ) {
		value.bind( function( to ) {
			$( '.site-footer' ).css( 'color', to );
		} );
	} );
	wp.customize( 'footer_link_color', function( value ) {
		value.bind( function( to ) {
			$( '.site-footer a' ).css( 'color', to );
		} );
	} );

	// Footer copyright text.
	wp.customize( 'footer_content', function( value ) {
		value.bind( function( to ) {
			$( '.site-info' ).text( to );
		} );
	} );
} )( jQuery );
