/**
 * functions.js
 *
 * Custom javascript trigger.
 *
 */
( function( $ ) {
	"use strict";

	// Sticky menu
	function stickyMenu() {
		if ( NQ_Moon_Datajs != undefined && NQ_Moon_Datajs[ 'header_sticky' ] ) {
			var header       = document.getElementsByClassName( 'site-header' )[0],
				nav          = document.getElementsByClassName( 'site-navigation' )[0],
				brandHeight  = $( '.site-branding' ).outerHeight(),
				navHeight    = $( '.site-navigation' ).outerHeight(),
				headerHeight = brandHeight + navHeight,
				adminBar     = $( '.admin-bar' ).length ? $( '#wpadminbar' ).height() : 0;

				console.log($( '.site-branding' ).outerHeight())

				header.setAttribute( 'style', 'height:' + headerHeight + 'px' );

			$( window ).scroll( function() {
				if ( $( this ).scrollTop() > brandHeight ) {
					console.log(brandHeight)
					header.classList.add( 'is-sticky' );
					nav.setAttribute( 'style', 'position: fixed;top:' + adminBar + 'px' );
				} else {
					header.classList.remove( 'header-sticky' );
					nav.removeAttribute( 'style' );
				}
			});
		}
	}

	// Fixed footer
	function fixedFooter() {
		if ( $( '.site-footer.fixed' ).length < 1 ) return;
		var fh = $( '.site-footer' ).outerHeight();
		$( 'body' ).css( 'padding-bottom', fh + 'px' );
	}

	// Social share
	function socialShare() {
		var social = $( '.social-share .social' ),
			action = $( '.social-share .action' );

		social.hide();

		action.on( 'click', function() {
			social.toggle( 'slow' );
		});
	}

	// Search box
	function searchBox() {
		$( '.site-search i' ).on( 'click', function() {
			$( '.site-search form' ).addClass( 'overlay' );
			$( '.site-search input' ).focus();
			$( 'html' ).css( 'overflow', 'hidden' );
		});
		$( '.site-search' ).on( 'click', '.close', function() {
			$('.overlay').removeClass( 'overlay' );
			$( 'html' ).removeAttr( 'style' );
		});
	}

	// Mobile Menu
	function initMobileMenu() {
		$('#primary-menu .menu-item-has-children').prepend('<span class="sub-trigger"></span>');

		$( '.mobile-trigger' ).click( function() {
			$( '.wrapper' ).toggleClass( 'is-visible' );
			$( this ).toggleClass( 'is-visible' );
		});
		$( '.sub-trigger' ).click( function() {
			$( this ).toggleClass( 'is-open' );
			$( this ).siblings( '.sub-menu' ).toggle( 300 );
		});
	}

	// Init light box
	function initLightBox() {
		$( '.gallery-group a' ).nivoLightbox();
	}

	// Blog format gallery
	function formatGallery() {
		$( '.moon-gallery' ).owlCarousel({
			singleItem: true,
			autoHeight: true
		});
	}

	// Tabbed content
	function initTabs() {
		$( 'ul.tabs li' ).click( function() {
			var tab_id = $( this ).attr( 'data-tab' );

			$( 'ul.tabs li' ).removeClass( 'active' );
			$( '.tab-pane' ).removeClass( 'active' );

			$( this ).addClass( 'active' );
			$("#" + tab_id ).addClass( 'active' );
		})
	}

	/**
	 * Document ready
	 * 
	 * @version 1.0.0
	 */
	$( document ).ready( function() {
		stickyMenu();
		fixedFooter();
		socialShare();
		searchBox();
		initMobileMenu();
		initLightBox();
		formatGallery();
		initTabs();
	});
} )( jQuery );